<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetMobilityReq StructType
 * Meta informations extracted from the WSDL
 * - documentation: Retrieves mobility configuration information. | It is mandatory to give either handoffNumber or DTMFNumber tag in the request. Both can't be null.
 * @subpackage Structs
 */
class GetMobilityReq extends AbstractStructBase
{
    /**
     * The handoffNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var XFkType
     */
    public $handoffNumber;
    /**
     * The DTMFNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var XFkType
     */
    public $DTMFNumber;
    /**
     * The returnedTags
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var RMobility
     */
    public $returnedTags;
    /**
     * Constructor method for GetMobilityReq
     * @uses GetMobilityReq::setHandoffNumber()
     * @uses GetMobilityReq::setDTMFNumber()
     * @uses GetMobilityReq::setReturnedTags()
     * @param XFkType $handoffNumber
     * @param XFkType $dTMFNumber
     * @param RMobility $returnedTags
     */
    public function __construct(XFkType $handoffNumber = null, XFkType $dTMFNumber = null, RMobility $returnedTags = null)
    {
        $this
            ->setHandoffNumber($handoffNumber)
            ->setDTMFNumber($dTMFNumber)
            ->setReturnedTags($returnedTags);
    }
    /**
     * Get handoffNumber value
     * @return XFkType|null
     */
    public function getHandoffNumber()
    {
        return $this->handoffNumber;
    }
    /**
     * Set handoffNumber value
     * @param XFkType $handoffNumber
     * @return GetMobilityReq
     */
    public function setHandoffNumber(XFkType $handoffNumber = null)
    {
        $this->handoffNumber = $handoffNumber;
        return $this;
    }
    /**
     * Get DTMFNumber value
     * @return XFkType|null
     */
    public function getDTMFNumber()
    {
        return $this->DTMFNumber;
    }
    /**
     * Set DTMFNumber value
     * @param XFkType $dTMFNumber
     * @return GetMobilityReq
     */
    public function setDTMFNumber(XFkType $dTMFNumber = null)
    {
        $this->DTMFNumber = $dTMFNumber;
        return $this;
    }
    /**
     * Get returnedTags value
     * @return RMobility|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param RMobility $returnedTags
     * @return GetMobilityReq
     */
    public function setReturnedTags(RMobility $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetMobilityReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
